org.apache.hive.jdbc

## Class HttpTokenAuthInterceptor

- java.lang.Object
- - org.apache.hive.jdbc.HttpRequestInterceptorBase
  - - org.apache.hive.jdbc.HttpTokenAuthInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class HttpTokenAuthInterceptor
    extends HttpRequestInterceptorBase

The class is instantiated with the username and password, it is then used to add header with these credentials to HTTP requests

### Field Summary

### Fields inherited from class org.apache.hive.jdbc.HttpRequestInterceptorBase

`LOG`

### Constructor Summary

Constructors
Constructor and Description
`HttpTokenAuthInterceptor(String tokenStr, org.apache.http.client.CookieStore cookieStore, String cn, boolean isSSL, Map<String,String> additionalHeaders, Map<String,String> customCookies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addHttpAuthHeader(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class org.apache.hive.jdbc.HttpRequestInterceptorBase

`getNewTrackHeader, process, sessionId, setRequestTrackingEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpTokenAuthInterceptor

    public HttpTokenAuthInterceptor(String tokenStr,
                                    org.apache.http.client.CookieStore cookieStore,
                                    String cn,
                                    boolean isSSL,
                                    Map<String,String> additionalHeaders,
                                    Map<String,String> customCookies)

### Method Detail

#### addHttpAuthHeader

    protected void addHttpAuthHeader(org.apache.http.HttpRequest httpRequest,
                                     org.apache.http.protocol.HttpContext httpContext)
                              throws Exception

Specified by:
  `addHttpAuthHeader` in class `HttpRequestInterceptorBase`
Throws:
  `Exception`